# MusicSet Struct Reference

All data of a music set. More...

`#include <base_media_base.h>`

Inheritance diagram for MusicSet:

## Public Member Functions
bool | FillSetDetails (struct IniFile *ini, const char *path, const char *full_filename)
## Data Fields
char | song_name [NUM_SONGS_AVAILABLE][32]
| The name of the different songs.
byte | track_nr [NUM_SONGS_AVAILABLE]
byte | num_available

## Detailed Description

All data of a music set.

Definition at line 275 of file base_media_base.h.

## Field Documentation

char MusicSet::song_name[NUM_SONGS_AVAILABLE][32]

The name of the different songs.

Definition at line 277 of file base_media_base.h.

Referenced by GetSongName().

The documentation for this struct was generated from the following files:

- src/base_media_base.h
- src/music.cpp